## Update Route `magic_transit.routes.update(strroute_id, RouteUpdateParams**kwargs) -> RouteUpdateResponse` **put** `/accounts/{account_id}/magic/routes/{route_id}` Update a specific Magic static route. Use `?validate_only=true` as an optional query parameter to run validation only without persisting changes. ### Parameters - `account_id: str` Identifier - `route_id: str` Identifier - `nexthop: str` The next-hop IP Address for the static route. - `prefix: str` IP Prefix in Classless Inter-Domain Routing format. - `priority: int` Priority of the static route. - `description: Optional[str]` An optional human provided description of the static route. - `scope: Optional[ScopeParam]` Used only for ECMP routes. - `colo_names: Optional[List[str]]` List of colo names for the ECMP scope. - `colo_regions: Optional[List[str]]` List of colo regions for the ECMP scope. - `weight: Optional[int]` Optional weight of the ECMP scope - if provided. ### Returns - `class RouteUpdateResponse: …` - `modified: Optional[bool]` - `modified_route: Optional[ModifiedRoute]` - `id: str` Identifier - `nexthop: str` The next-hop IP Address for the static route. - `prefix: str` IP Prefix in Classless Inter-Domain Routing format. - `priority: int` Priority of the static route. - `created_on: Optional[datetime]` When the route was created. - `description: Optional[str]` An optional human provided description of the static route. - `modified_on: Optional[datetime]` When the route was last modified. - `scope: Optional[Scope]` Used only for ECMP routes. - `colo_names: Optional[List[str]]` List of colo names for the ECMP scope. - `colo_regions: Optional[List[str]]` List of colo regions for the ECMP scope. - `weight: Optional[int]` Optional weight of the ECMP scope - if provided. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) route = client.magic_transit.routes.update( route_id="023e105f4ecef8ad9ca31a8372d0c353", account_id="023e105f4ecef8ad9ca31a8372d0c353", nexthop="203.0.113.1", prefix="192.0.2.0/24", priority=0, ) print(route.modified) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "modified": true, "modified_route": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "nexthop": "203.0.113.1", "prefix": "192.0.2.0/24", "priority": 0, "created_on": "2017-06-14T00:00:00Z", "description": "New route for new prefix 203.0.113.1", "modified_on": "2017-06-14T05:20:00Z", "scope": { "colo_names": [ "den01" ], "colo_regions": [ "APAC" ] }, "weight": 0 } }, "success": true } ```